aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xfce4-power-manager/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-05-27 21:18:46 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-05-27 21:20:47 +0000
commitcaa4a063b45823d8990d11f51683987edd1bb75e (patch)
tree591e86a6c0adc334144c5e0055607070b61ecd5b /testing/xfce4-power-manager/APKBUILD
parent07afc56944054b161e1916b0ea6c2b0fa7e13d4d (diff)
downloadaports-caa4a063b45823d8990d11f51683987edd1bb75e.tar.gz
aports-caa4a063b45823d8990d11f51683987edd1bb75e.tar.bz2
aports-caa4a063b45823d8990d11f51683987edd1bb75e.tar.xz
testing/xfce4-power-manager: new aport
Power management for the Xfce desktop environment http://goodies.xfce.org/projects/applications/xfce4-power-manager
Diffstat (limited to 'testing/xfce4-power-manager/APKBUILD')
-rw-r--r--testing/xfce4-power-manager/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/testing/xfce4-power-manager/APKBUILD b/testing/xfce4-power-manager/APKBUILD
new file mode 100644
index 0000000000..340962cc3e
--- /dev/null
+++ b/testing/xfce4-power-manager/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfce4-power-manager
+pkgver=1.0.10
+pkgrel=0
+pkgdesc="Power management for the Xfce desktop environment"
+url="http://goodies.xfce.org/projects/applications/xfce4-power-manager"
+arch="all"
+license="GPLv2+"
+depends="polkit"
+depends_dev="xfconf-dev xfce4-panel-dev dbus-glib-dev libnotify-dev
+ libxrandr-dev libxfce4ui-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://archive.xfce.org/src/apps/xfce4-power-manager/1.0/xfce4-power-manager-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/xfce4-power-manager-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="38cbd272eb30e36ae538d9f38858bd38 xfce4-power-manager-1.0.10.tar.bz2"